org.apache.http.impl.nio.codecs

## Class DefaultHttpResponseWriterFactory

- java.lang.Object
- - org.apache.http.impl.nio.codecs.DefaultHttpResponseWriterFactory

All Implemented Interfaces:
  NHttpMessageWriterFactory<HttpResponse>

    @Immutable
    public class DefaultHttpResponseWriterFactory
    extends Object
    implements NHttpMessageWriterFactory<HttpResponse>

Default factory for response message writers.

Since:
  4.3

### Field Summary

Fields
`static DefaultHttpResponseWriterFactory` `INSTANCE`

### Constructor Summary

Constructors
Constructor and Description
`DefaultHttpResponseWriterFactory()`
`DefaultHttpResponseWriterFactory(LineFormatter lineFormatter)`

### Method Summary

Methods
`NHttpMessageWriter<HttpResponse>` `create(SessionOutputBuffer buffer)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### INSTANCE

    public static final DefaultHttpResponseWriterFactory INSTANCE

### Constructor Detail

#### DefaultHttpResponseWriterFactory

    public DefaultHttpResponseWriterFactory(LineFormatter lineFormatter)

#### DefaultHttpResponseWriterFactory

    public DefaultHttpResponseWriterFactory()

### Method Detail

#### create

    public NHttpMessageWriter<HttpResponse> create(SessionOutputBuffer buffer)

Specified by:
  `create` in interface `NHttpMessageWriterFactory<HttpResponse>`